/*
 * ProrataPanel.java
 *
 * Created on 15 mai 2008, 15:12
 */

package org.cocktail.application.palette;

import com.webobjects.foundation.NSMutableArray;
import javax.swing.JTable;
import org.cocktail.application.client.ApplicationCocktail;
import org.cocktail.application.client.eof.EOLolfNomenclatureDepense;
import org.cocktail.application.client.swingfinder.SwingFinder;
import org.cocktail.application.client.swingfinder.SwingFinderLolfNomenclature;
import org.cocktail.application.nibctrl.NibCtrl;
import org.cocktail.application.palette.models.NSMutableArrayDisplayGroup;

/**
 *
 * @author  michael
 */
public class ProrataPanel extends JPanelCocktail {
    
    
    NSMutableArray lignesProrata;
    //GridLayout layout;
    /** Creates new form ProrataPanel */
    public ProrataPanel(SwingFinderLolfNomenclature swingFinder) {
        initComponents();
        lignesProrata=new NSMutableArray();
        monSwingFinderLolf=swingFinder;
        monSwingFinderLolf.relierBouton(jbAdd);
        //refreshTBV();
        /*
        layout = new GridLayout(0,3);
        prorataPanelInterne.setLayout(layout);
        prorataPanelInterne.setSize(scrollPanel.getWidth(), scrollPanel.getHeight());
        prorataPanelInterne.validate();
         * */
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jbAdd = new org.cocktail.application.palette.JButtonCocktail();
        scrollPane = new javax.swing.JScrollPane();
        tvProrata = new javax.swing.JTable();

        jbAdd.setText("jButtonCocktail1");
        jbAdd.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbAddActionPerformed(evt);
            }
        });

        tvProrata.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        scrollPane.setViewportView(tvProrata);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(scrollPane, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 454, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jbAdd, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(scrollPane, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 192, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jbAdd, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jbAddActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbAddActionPerformed
        // TODO add your handling code here:
        
    }//GEN-LAST:event_jbAddActionPerformed
    
    public void swingFinderTerminer(){
        System.out.println("add 2");
        System.out.println("nb select lolf : "+monSwingFinderLolf.getResultat().count());
	for(int i=0;i<monSwingFinderLolf.getResultat().count();i++)        
            System.out.println("lolf "+i+ " "+ ((EOLolfNomenclatureDepense) monSwingFinderLolf.getResultat().objectAtIndex(i)).lolfCode()+" "+((EOLolfNomenclatureDepense) monSwingFinderLolf.getResultat().objectAtIndex(i)).lolfLibelle());
        
        lignesProrata.addObjectsFromArray(monSwingFinderLolf.getResultat());
        refreshTBV();
    }
    
    void refreshTBV(){
        System.out.println("refresh");
        
        //scrollPane.removeAll();
        String[] columnNames = {"Libelle",
                        "Prorata"};
        Object[][] data=new Object[lignesProrata.count()][2];
        for(int i=0;i<lignesProrata.count();i++)
        {
            data[i][0]=((EOLolfNomenclatureDepense) monSwingFinderLolf.getResultat().objectAtIndex(i)).lolfLibelle();
            data[i][1]=new Double(0.0);
        }

        tvProrata = new JTable(data,columnNames);
        scrollPane.add(tvProrata);
        tvProrata.setVisible(true);
        tvProrata.repaint();
        tvProrata.updateUI();
        //tvProrata.repaint();
        scrollPane.repaint();
        scrollPane.validate();
        scrollPane.updateUI();
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.cocktail.application.palette.JButtonCocktail jbAdd;
    private javax.swing.JScrollPane scrollPane;
    private javax.swing.JTable tvProrata;
    // End of variables declaration//GEN-END:variables
    private SwingFinderLolfNomenclature monSwingFinderLolf=null;
    private NibCtrl controllerPere;
    private ApplicationCocktail application;
}
